@ echo off
IF %1. == . GOTO :INSTRUCTIONS
IF %2. == . GOTO :INSTRUCTIONS
IF %2 == %2 GOTO :INSTALL
:INSTRUCTIONS
cls
echo.
echo This program installs the DEU DOOM editor and the 
echo BSP partitioning tool. Note that they work only with 
echo a registered copy of DOOM, versions 1.2 and up.
echo If you have only the shareware version of DOOM, 
echo you must contact id Software (1-800-IDGAMES) to 
echo order a registered copy of the game. 
echo.
echo (Note that this product will also not run with the 
echo commercial DOOM II product marketed by GTI.)
echo.
echo To install DEU and BSP, you must specify in the 
echo SETUPDEU command the drive and directory in which 
echo DOOM is currently installed. Usually, DOOM is located 
echo in the DOOM directory of drive C. In this case, you 
echo would type:
echo.
echo        SETUPDEU C DOOM
echo.
echo After you install these programs, read the file 
echo DEU.TXT to learn how to use the DEU editor. 
echo.
echo Get ready to make some great new DOOM levels of your own.
GOTO :END
:INSTALL
COPY DMDEU.EXE %1:\%2
COPY DMBSP.EXE %1:\%2
%1:
CD \%2
DMDEU.EXE
DMBSP.EXE
DEL DMDEU.EXE
DEL DMBSP.EXE
:END
